org.opencv.features2d

## Class BRISK

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.BRISK

-     public class BRISK
      extends Feature2D

  Class implementing the BRISK keypoint detector and descriptor extractor, described in CITE: LCS11 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BRISK(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BRISK` | `__fromPtr__(long addr)`
    `static BRISK` | `create()` The BRISK constructor keypoint.
    `static BRISK` | `create(int thresh)` The BRISK constructor
    `static BRISK` | `create(int thresh, int octaves)` The BRISK constructor
    `static BRISK` | `create(int thresh, int octaves, float patternScale)` The BRISK constructor
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList)` The BRISK constructor for a custom pattern, detection threshold and octaves
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList, float dMax)` The BRISK constructor for a custom pattern, detection threshold and octaves
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin)` The BRISK constructor for a custom pattern, detection threshold and octaves
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin, MatOfInt indexChange)` The BRISK constructor for a custom pattern, detection threshold and octaves
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList)` The BRISK constructor for a custom pattern
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList, float dMax)` The BRISK constructor for a custom pattern
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin)` The BRISK constructor for a custom pattern
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin, MatOfInt indexChange)` The BRISK constructor for a custom pattern
    `protected void` | `finalize()`
    `String` | `getDefaultName()` Returns the algorithm string identifier.

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BRISK

          protected BRISK(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BRISK __fromPtr__(long addr)

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin,
                                     MatOfInt indexChange)

      The BRISK constructor for a custom pattern, detection threshold and octaves
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale.
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
        `dMin` - threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
        `indexChange` - index remapping of the bits.
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin)

      The BRISK constructor for a custom pattern, detection threshold and octaves
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale.
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
        `dMin` - threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax)

      The BRISK constructor for a custom pattern, detection threshold and octaves
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale.
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). keypoint scale 1).
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList)

      The BRISK constructor for a custom pattern, detection threshold and octaves
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale.
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. scale 1). keypoint scale 1).
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     float patternScale)

      The BRISK constructor
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale.
        `patternScale` - apply this scale to the pattern used for sampling the neighbourhood of a keypoint.
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh,
                                     int octaves)

      The BRISK constructor
      Parameters:
        `thresh` - AGAST detection threshold score.
        `octaves` - detection octaves. Use 0 to do single scale. keypoint.
      Returns:
        automatically generated

    - #### create

          public static BRISK create(int thresh)

      The BRISK constructor
      Parameters:
        `thresh` - AGAST detection threshold score. keypoint.
      Returns:
        automatically generated

    - #### create

          public static BRISK create()

      The BRISK constructor keypoint.
      Returns:
        automatically generated

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin,
                                     MatOfInt indexChange)

      The BRISK constructor for a custom pattern
      Parameters:
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
        `dMin` - threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
        `indexChange` - index remapping of the bits.
      Returns:
        automatically generated

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin)

      The BRISK constructor for a custom pattern
      Parameters:
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
        `dMin` - threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
      Returns:
        automatically generated

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax)

      The BRISK constructor for a custom pattern
      Parameters:
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
        `dMax` - threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). keypoint scale 1).
      Returns:
        automatically generated

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList)

      The BRISK constructor for a custom pattern
      Parameters:
        `radiusList` - defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
        `numberList` - defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. scale 1). keypoint scale 1).
      Returns:
        automatically generated

    - #### getDefaultName

          public String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8